<div class="p-20">
	<div class="mb-20">

		<div class="breadcrumbs" >
			<a class="breadcrumbs__item"
				routerLink="../">
				<span> К списку пакетов с конкурсными списками </span>
			</a>
		</div>

		<div>
			<h3 fxFlex=""> Детализация по загруженному пакету с конкурсными списками</h3>

		</div>


	</div>

	<app-loader *ngIf="isLoad"></app-loader>

	<div *ngIf="packageInfo" class="h5 py-20"> {{packageInfo?.competitive_group}} </div>

	<div class="art-card"
		[@animate]="{value:'*',params:{delay:'300ms',y:'25px'}}">

		<table mat-table [dataSource]="data">

			<ng-container matColumnDef="id">
				<th mat-header-cell *matHeaderCellDef > ID </th>
				<td mat-cell *matCellDef="let row"> {{ row.id }}</td>
			</ng-container>

			<ng-container matColumnDef="fio">
				<th mat-header-cell *matHeaderCellDef > ФИО </th>
				<td mat-cell *matCellDef="let row"> {{ row.fio }} </td>
			</ng-container>

			<ng-container matColumnDef="competitiveGroup">
				<th mat-header-cell *matHeaderCellDef > Конкурсная группа</th>
				<td mat-cell *matCellDef="let row"> {{row.competitive_group}} </td>
			</ng-container>

			<ng-container *ngFor="let i of [1,2,3,4,5]">
				<ng-container matColumnDef="entranceTest{{i}}">
					<th mat-header-cell *matHeaderCellDef > ВИ #{{i}}</th>
					<td mat-cell *matCellDef="let row"> {{ row['entrance_test'+i] }}</td>
				</ng-container>
				<ng-container matColumnDef="result{{i}}">
					<th mat-header-cell *matHeaderCellDef > Балл ВИ #{{i}}</th>
					<td mat-cell *matCellDef="let row"> {{ row['result'+i] }}</td>
				</ng-container>
			</ng-container>

			<ng-container matColumnDef="sumMark">
				<th mat-header-cell *matHeaderCellDef > Сумма</th>
				<td mat-cell *matCellDef="let row"> {{ row.sum_mark }}</td>
			</ng-container>

			<ng-container matColumnDef="withoutTests">
				<th mat-header-cell *matHeaderCellDef > Без ВИ</th>
				<td mat-cell *matCellDef="let row"> {{ row.without_tests | yesNo}}</td>
			</ng-container>

			<ng-container matColumnDef="benefit">
				<th mat-header-cell *matHeaderCellDef > Льгота</th>
				<td mat-cell *matCellDef="let row"> {{ row.benefit | yesNo}}</td>
			</ng-container>

			<ng-container matColumnDef="rating">
				<th mat-header-cell *matHeaderCellDef > Рейтинг </th>
				<td mat-cell *matCellDef="let row"> {{ row.rating }}</td>
			</ng-container>

			<ng-container matColumnDef="agreed">
				<th mat-header-cell *matHeaderCellDef > Согласие на зачисление</th>
				<td mat-cell *matCellDef="let row"> {{ row.agreed | yesNo }}</td>
			</ng-container>

			<ng-container matColumnDef="original">
				<th mat-header-cell *matHeaderCellDef > Оригинал док-та об обр-ии</th>
				<td mat-cell *matCellDef="let row"> {{ row.original | yesNo}}</td>
			</ng-container>

			<ng-container matColumnDef="checked">
				<th mat-header-cell *matHeaderCellDef > Добавлено</th>
				<td mat-cell *matCellDef="let row"> {{ row.checked | yesNo }}</td>
			</ng-container>

			<ng-container matColumnDef="error">
				<th mat-header-cell *matHeaderCellDef > Ошибка</th>
				<td mat-cell *matCellDef="let row"> {{ row.error || '-'}}</td>
			</ng-container>


			<ng-container matColumnDef="noRecord">
				<td mat-footer-cell *matFooterCellDef  [colSpan]="displayedColumns.length" ><i>Данные не найдены</i> </td>
			</ng-container>

			<tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: false"></tr>
			<tr mat-row
				class="table-row"
				*matRowDef="let item; columns: displayedColumns; " >

			</tr>
			<tr mat-row *matFooterRowDef="['noRecord'] " [hidden]="data.length" ></tr>

		</table>
		<mat-paginator  [length]="total"
			[pageIndex]="params.page - 1"
			[pageSize]="params.limit"
			(page)="pagination.next($event)"
			[pageSizeOptions]="pageSizeOptions"
			showFirstLastButtons>
		</mat-paginator>
	</div>
</div>
